Subject: Re: YKYBHTLW...
From: [email-masked] (Spam I am)
Date: 13 Aug 1994 06:13:03 -0400
Newsgroups: alt.folklore.computers

This thread reminds me of something that boiled out of
my brain in a strange house full of computers on New Year's day:

> From: John Rehwinkel <[email-masked]>
> Date: Sat, 1 Jan 94 12:23:41 EST
> Subject: System Anarchy for new year

	So, I wake up New Year's morning, and cron lights
off and tells me the time has arrived for annual system
maintenance.

	I go and get the cheat sheet.  Okay, what do I
do first?  "Run `fsck'".  Fine.

spam> fsck
/dev/raw/brain: last mounted on /

i=69 mode=670411 owner=root
unreferenced file -- reconnect? n
clear? y

superblock corrupt -- repair? y

65472 files, 33748898 blocks.

	Gee.  A missing file.  In my BRAIN.  Yuck.
I wonder what it is...

/excretory/bladder:  file system is full

	Shit.  No.  Piss.  I gotta pee during system
maintenance.  Go to bathroom.  Prepare everything.

spam> urinate -f -g -x
/dev/penis: no such file or directory

	AAAAAAAAAAAUAGH!  I think I just found my missing
file...

spam> ls -l /dev/p*

crw-rw-rw-  1 root     121,   0 Sep 26  1962 /dev/pancreas
crw-rw-rw-  1 root      71,   0 Sep 26  1962 /dev/parathyroid
crw-r--r--  1 root      67,   0 Sep 26  1962 /dev/pineal
crw-r--r--  1 root      75,   0 Sep 26  1962 /dev/pituitary

spam> mknod /dev/penis c ...

	Er, what's the major device number?

spam> grep -i penis /sys/spam/conf.c

#include "penis.h"
#if NPENIS > 0				I certainly hope so!
extern int	penisprobe();		Sounds fun.
extern int	penisattach();		Detachable penis?
extern int	penisopen();		Ouch.
extern int	penisclose();		Messy without this one.
extern int	penisioctl();		Should be able to control these things.
extern int	penisintr();		This is important!
	penisopen,	penisclose,	nodev,		nodev,		/*69*/
	penisioctl,	penisintr,	nodev,		nodev,

	Aha!

spam> mknod /dev/penis c 69 0
spam> chmod a+rwx /dev/penis
spam> urinate -f -g -x

	Ahhhhhhhh......

	Whew.

	Okay, done with that.  What's next?

	"Get current patches and bug fixes"

spam> autopatch
br0:  connecting to spamsite.arcturus.exp
connected.

available:  flirt.o
details? y

Bugs fixed:

bug 4488229:
reported by [email-masked]
parser problem, responds incorrectly to replies like
"yes, but not ever".

bug 4488104:
reported by [email-masked]
protocol is not robust to glitches on communications link

bug 4388288:
reported by [email-masked]
clueserver is BROKEN!

install? y
flirt.o: 1/1/94 29837988 bytes.

available:  flame.o
details? y

Bugs fixed:

bug 40228478:
reported by [email-masked]
trace log is way too long

bug 39874511:
reported by [email-masked]
decision module is unstable -- flames on trivia, ignores bait

bug 37993040:
reported by [email-masked]
deconstruction module is too efficient -- overreduces arguments

install? y
flame.o: 1/1/94 92347892384729847 bytes.

available:  fuck.o
details? n

install? n

reason? I never get to use it anyway.

available:  hack.o
details? n

install? y
hack.o: 1/1/94 564 bytes.

available:  horsesense.o
details?  ^Y
session disconnect requested by user.

	Screw this.  I'll muddle through till next year.
HAPPY NEW YEAR EVERYBODY!

					-- Spaaaaaaaaaaaaaaaaaaaa